# Get Webhook

## /webhooks/:webhook\_id

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/webhooks/:webhook_id`

This endpoint allows you to get a list of retrieve an existing webhook.

#### Path Parameters

| Name                                          | Type   | Description                              |
| --------------------------------------------- | ------ | ---------------------------------------- |
| webhook\_id<mark style="color:red;">\*</mark> | string | Unique webhook\_id for specific webhook. |

{% tabs %}
{% tab title="200: OK Webhook retrieved successfully." %}

```javascript
{
    "status": true,
    "message": "Webhook retrieved successfully",
    "data": {
        "status": true,
        "message": "Webhook information",
        "data": {
            "events": [
                "false"
            ],
            "_id": "62a0b6dc28bf3cef7bb936fd",
            "active": false,
            "event": "address.created",
            "live": false,
            "name": "My Test Webhook",
            "url": "https://webhook.site/f80b40b7-8004-4fd9-82c0-40f6ccb41cd1",
            "user": "USER-12568655307",
            "webhook_id": "WA-85241442320",
            "created_at": "2022-06-08T14:49:00.190Z",
            "updated_at": "2022-08-01T11:30:54.678Z",
            "__v": 0,
            "id": "62a0b6dc28bf3cef7bb936fd"
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/webhooks/get-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
